package org.bench4q.web.model;

import java.util.List;

public class TestPlanRequestModel {

	private List<String> ipList;
	private List<WebScriptModel> scriptList;
	private String testPlanName;


	public TestPlanRequestModel() {

	}

	public TestPlanRequestModel(String testPlanName,
			List<WebScriptModel> scriptList) {
		this.testPlanName = testPlanName;
		this.scriptList = scriptList;
	}

	public TestPlanRequestModel(String testPlanName,
			List<WebScriptModel> scriptList, List<String> ipList) {
		this.ipList = ipList;
	}

	public String getTestPlanName() {
		return testPlanName;
	}

	public void setTestPlanName(String testPlanName) {
		this.testPlanName = testPlanName;
	}

	public List<String> getIpList() {
		return ipList;
	}

	public void setIpList(List<String> ipList) {
		this.ipList = ipList;
	}

	public List<WebScriptModel> getScriptList() {
		return scriptList;
	}

	public void setScriptList(List<WebScriptModel> scriptList) {
		this.scriptList = scriptList;
	}

	
	

}
